UTIL_SEQ_Priority_t Struct Reference
sequencer utilities » SEQUENCER private type

structure used to manage task scheduling More...

## Data Fields

uint32_t | priority
uint32_t | round_robin

## Detailed Description

structure used to manage task scheduling

Definition at line 37 of file stm32_seq.c.

## Field Documentation

## priority

uint32_t UTIL_SEQ_Priority_t::priority

bit field of the enabled task.

Definition at line 39 of file stm32_seq.c.

## round_robin

uint32_t UTIL_SEQ_Priority_t::round_robin

mask on the allowed task to be running.

Definition at line 40 of file stm32_seq.c.

The documentation for this struct was generated from the following file:

- stm32_seq.c